Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller
Class ControllerCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand

Direct Known Subclasses:
  PortalObjectCommand, PortletInstanceCommand, SignOutCommand, StreamContentCommand

    public abstract class ControllerCommand

extends Invocation

A controller command.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected ControllerContext` | `context` The context of the command.
`protected static org.jboss.logging.Logger` | `log` .
`static Scope` | `NAVIGATIONAL_STATE_SCOPE` .
`static Scope` | `PRINCIPAL_SCOPE` .
`static Scope` | `REQUEST_SCOPE` .
`static Scope` | `SESSION_SCOPE` .

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`protected` | `ControllerCommand()`

Method Summary
`void` | `acquireResources()`
`protected void` | `create()`
`void` | `createContext(ControllerContext context)` Contextualize the command.
`protected void` | `destroy()`
`void` | `destroyContext()` Destroy state after invocation.
`void` | `enforceSecurity(PortalAuthorizationManager pam)` Enforce the security on this command.
`abstract ControllerResponse` | `execute()` Execute the command.
`InvocationContext` | `getContext()` Return the invocation context or throw IllegalStateException.
`ControllerContext` | `getControllerContext()`
`abstract CommandInfo` | `getInfo()` Return the meta data of this command.
`void` | `releaseResources()`
`static void` | `rethrow(java.lang.Exception e)`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRINCIPAL_SCOPE

    public static final Scope PRINCIPAL_SCOPE

  .

### SESSION_SCOPE

    public static final Scope SESSION_SCOPE

  .

### REQUEST_SCOPE

    public static final Scope REQUEST_SCOPE

  .

### NAVIGATIONAL_STATE_SCOPE

    public static final Scope NAVIGATIONAL_STATE_SCOPE

  .

### log

    protected static org.jboss.logging.Logger log

  .

### context

    protected ControllerContext context

  The context of the command.

Constructor Detail

### ControllerCommand

    protected ControllerCommand()

Method Detail

### getInfo

    public abstract CommandInfo getInfo()

  Return the meta data of this command.

### getContext

    public final InvocationContext getContext()

  Description copied from class: `Invocation`
  Return the invocation context or throw IllegalStateException.

  Specified by:
    `getContext` in class `Invocation`
  Returns:
    the invocation context

### getControllerContext

    public final ControllerContext getControllerContext()

### enforceSecurity

    public void enforceSecurity(PortalAuthorizationManager pam)
                         throws SecurityException

  Enforce the security on this command.

  Throws:
    `PortalSecurityException`
    `SecurityException`

### acquireResources

    public void acquireResources()
                          throws NoSuchResourceException

  Throws:
    `NoSuchResourceException`

### releaseResources

    public void releaseResources()

### createContext

    public final void createContext(ControllerContext context)
                             throws ControllerException

  Contextualize the command.

  Throws:
    `ControllerException`

### destroyContext

    public final void destroyContext()

  Destroy state after invocation.

### create

    protected void create()

### destroy

    protected void destroy()

### execute

    public abstract ControllerResponse execute()
                                        throws ControllerException

  Execute the command.

  Throws:
    `ControllerException`

### rethrow

    public static void rethrow(java.lang.Exception e)
                        throws ControllerException,
                               InvocationException,
                               java.lang.RuntimeException

  Throws:
    `ControllerException`
    `InvocationException`
    `java.lang.RuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD